%global srcname fast_yaml


Name: erlang-%{srcname}
Version: 1.0.12
Release: 4%{?dist}

License: ASL 2.0
Summary: An Erlang wrapper for libyaml "C" library
URL:     https://github.com/processone/fast_yaml/
Source0: https://github.com/processone/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_yaml = %{version}-%{release}
Obsoletes: erlang-p1_yaml < 1.0.2

BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= 1.0.10
BuildRequires: libyaml-devel

%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}
Requires: erlang-p1_utils >= 1.0.10


%description
P1 YAML is an Erlang wrapper for libyaml "C" library.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -d $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{srcname}-%{version}/priv/lib


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}


%changelog
* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-4
- Re-rebuild against Erlang 20, this time with feeling (and working dependency auto-detection).
- Explicitly depend on p1_utils by version.

* Thu Feb 22 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-3
- Rebuilt for Erlang 20.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-1
- Update to 1.0.12 (#1515220).
- https://github.com/processone/fast_yaml/blob/1.0.12/CHANGELOG.md

* Fri Nov 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.11-1
- Update to 1.0.11 (#1496437).
- https://github.com/processone/fast_yaml/blob/1.0.11/CHANGELOG.md

* Mon Jul 31 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.10-1
- Update to 1.0.10 (#1435490).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.8-1
- Update to 1.0.8 (#1412157).
- https://github.com/processone/fast_yaml/blob/1.0.8/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
